CMSIS-RTOS: osSemaphoreDef_t Struct Reference

| CMSIS-RTOS Version 1.03 Real-Time Operating System: API and RTX Reference Implementation.

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
osSemaphoreDef_t Struct Reference

Semaphore Definition structure contains setup information for a semaphore. More...

## Data Fields

uint32_t | dummy
| dummy value. More...

## Description

Note
  CAN BE CHANGED: os_semaphore_def is implementation specific in every CMSIS-RTOS.

## Field Documentation

uint32_t dummy